Create a new image from GD file or URL

- « imagecreatefrombmp

- imagecreatefromgd2 »

- PHP Manual
- GD and Image Functions
- Create a new image from GD file or URL

# imagecreatefromgd

(PHP 4 >= 4.0.7, PHP 5, PHP 7, PHP 8)

imagecreatefromgd — Create a new image from GD file or URL

### Description

imagecreatefromgd(string `$filename`): GdImage|false

Create a new image from GD file or URL.

Tip

A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen() for more details on how to specify the filename. See the Supported Protocols and Wrappers for links to information about what abilities the various wrappers have, notes on their usage, and information on any predefined variables they may provide.

### Parameters

`filename`

  Path to the GD file.

### Return Values

Returns an image object on success, `false` on errors.

### Changelog

Version | Description
--- | ---
8.0.0 | On success, this function returns a GDImage instance now; previously, a resource was returned.

### Examples

Example #1 imagecreatefromgd() example

    <?php
    // Load the gd image
    $im = @imagecreatefromgd('./test.gd');

    // Test if the image was loaded
    if(!$im)
    {
         die('Unable to load gd image!');
    }

    // Do image operations here

    // Save the image
    imagegd($im, './test_updated.gd');
    imagedestroy($im);
    ?>

### Notes

Warning

The GD and GD2 image formats are proprietary image formats of libgd. They have to be regarded obsolete, and should only be used for development and testing purposes.